=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5attica-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5configwidgets-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5globalaccel-dev (>= 5.109.0~),
-               libkf5guiaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5itemviews-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5attica-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5configwidgets-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5globalaccel-dev (>= 5.110.0~),
+               libkf5guiaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5itemviews-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -59,13 +59,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.109.0~),
-         libkf5config-dev (>= 5.109.0~),
-         libkf5configwidgets-dev (>= 5.109.0~),
-         libkf5globalaccel-dev (>= 5.109.0~),
-         libkf5iconthemes-dev (>= 5.109.0~),
-         libkf5itemviews-dev (>= 5.109.0~),
-         libkf5windowsystem-dev (>= 5.109.0~),
+Depends: libkf5attica-dev (>= 5.110.0~),
+         libkf5config-dev (>= 5.110.0~),
+         libkf5configwidgets-dev (>= 5.110.0~),
+         libkf5globalaccel-dev (>= 5.110.0~),
+         libkf5iconthemes-dev (>= 5.110.0~),
+         libkf5itemviews-dev (>= 5.110.0~),
+         libkf5windowsystem-dev (>= 5.110.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
