## kxmlgui 5.116.0+p24.04+vstable+git20250831.2316

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20250831.2316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:16:55 +0000
