## kxmlgui 5.116.0+p24.04+vstable+git20250925.1344

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20250925.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:44:45 +0000
