## kxmlgui 5.116.0+p24.04+vstable+git20251015.1058

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251015.1058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:58:56 +0000
