=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251020.0209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:09:31 +0000
