## kxmlgui 5.116.0+p24.04+vstable+git20251226.0210

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20251226.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:10:11 +0000
