## kxmlgui 5.116.0+p24.04+vstable+git20260113.0023

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20260113.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 00:23:19 +0000
