## kxmlgui 5.116.0+p24.04+vstable+git20260131.0156

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vstable+git20260131.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:56:27 +0000
