## kxmlgui 5.116.0+p24.04+vunstable+git20251015.1133

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251015.1133-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:33:54 +0000
