## kxmlgui 5.116.0+p24.04+vunstable+git20251020.0328

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251020.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:28:57 +0000
