## kxmlgui 5.116.0+p24.04+vunstable+git20251111.0609

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251111.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 06:09:48 +0000
