## kxmlgui 5.116.0+p24.04+vunstable+git20251124.0752

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20251124.0752-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:07 +0000
