## kxmlgui 5.116.0+p24.04+vunstable+git20260129.0221

=== debian/changelog ===
kxmlgui (5.116.0+p24.04+vunstable+git20260129.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:21:26 +0000
